# -*- coding: utf-8 -*-
"""
Simple transfomer: the @about="" is added to the head element (unless something is already there)

@author: U{Ivan Herman<a href="http://www.w3.org/People/Ivan/">}
@license: This software is available for use under the
U{W3C® SOFTWARE NOTICE AND LICENSE<href="http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231">}
@contact: Ivan Herman, ivan@w3.org
@version: $Id: HeadAbout.py,v 1.1 2007/10/04 13:02:46 ivan Exp $
$Date: 2007/10/04 13:02:46 $
"""

def HeadAboutTransform(html) :
	"""
	@param html: a DOM node with the top level html element
	@param state: top level state
	"""
	for head in html.getElementsByTagName("head") :
		if not head.hasAttribute("about") :
			head.setAttribute("about","")

